Loading...
Searching...
No Matches
resMatrixBase Class Reference

Base class for sparse and dense u-Resultant computation. More...

`#include <mpr_base.h>`

## Public Types

enum | IStateType { none , ready , notInit , fatalError , sparseError }

## Public Member Functions

| resMatrixBase ()
virtual | ~resMatrixBase ()
virtual ideal | getMatrix ()
virtual ideal | getSubMatrix ()
virtual poly | getUDet (const number *)
virtual number | getDetAt (const number *)
virtual number | getSubDet ()
virtual long | getDetDeg ()
virtual IStateType | initState () const

## Protected Attributes

IStateType | istate
ideal | gls
int | linPolyS
ring | sourceRing
int | totDeg

## Private Member Functions

| resMatrixBase (const resMatrixBase &)

## Detailed Description

Base class for sparse and dense u-Resultant computation.

Definition at line 22 of file mpr_base.h.

## Member Enumeration Documentation

## IStateType

enum resMatrixBase::IStateType

Enumerator
none |
ready |
notInit |
fatalError |
sparseError |

Definition at line 26 of file mpr_base.h.

{ none, ready, notInit, fatalError, sparseError };
resMatrixBase::sparseError
@ sparseError
Definition mpr_base.h:26
resMatrixBase::none
@ none
Definition mpr_base.h:26
resMatrixBase::notInit
@ notInit
Definition mpr_base.h:26
resMatrixBase::ready
@ ready
Definition mpr_base.h:26
resMatrixBase::fatalError
@ fatalError
Definition mpr_base.h:26

## Constructor & Destructor Documentation

## resMatrixBase() [1/2]

resMatrixBase::resMatrixBase | ( |  | ) |

inline

Definition at line 28 of file mpr_base.h.

: istate(notInit), totDeg(0) {}
resMatrixBase::totDeg
int totDeg
Definition mpr_base.h:50
resMatrixBase::istate
IStateType istate
Definition mpr_base.h:44

## ~resMatrixBase()

virtual resMatrixBase::~resMatrixBase | ( |  | ) |

inline virtual

Definition at line 29 of file mpr_base.h.

{}

## resMatrixBase() [2/2]

resMatrixBase::resMatrixBase | ( | const resMatrixBase & |  | ) |

private

## Member Function Documentation

## getDetAt()

virtual number resMatrixBase::getDetAt | ( | const number * |  | ) |

inline virtual

Reimplemented in resMatrixDense, and resMatrixSparse.

Definition at line 36 of file mpr_base.h.

{ return NULL; }
NULL
#define NULL
Definition omList.c:12

## getDetDeg()

virtual long resMatrixBase::getDetDeg | ( |  | ) |

inline virtual

Definition at line 39 of file mpr_base.h.

{ return totDeg; }

## getMatrix()

virtual ideal resMatrixBase::getMatrix | ( |  | ) |

inline virtual

Reimplemented in resMatrixDense, and resMatrixSparse.

Definition at line 31 of file mpr_base.h.

{ return NULL; }

## getSubDet()

virtual number resMatrixBase::getSubDet | ( |  | ) |

inline virtual

Reimplemented in resMatrixDense.

Definition at line 37 of file mpr_base.h.

{ return NULL; }

## getSubMatrix()

virtual ideal resMatrixBase::getSubMatrix | ( |  | ) |

inline virtual

Reimplemented in resMatrixDense.

Definition at line 32 of file mpr_base.h.

{ return NULL; }

## getUDet()

virtual poly resMatrixBase::getUDet | ( | const number * |  | ) |

inline virtual

Reimplemented in resMatrixSparse.

Definition at line 34 of file mpr_base.h.

{ return NULL; }

## initState()

virtual IStateType resMatrixBase::initState | ( |  | ) | const

inline virtual

Definition at line 41 of file mpr_base.h.

{ return istate; }

## Field Documentation

## gls

ideal resMatrixBase::gls

protected

Definition at line 46 of file mpr_base.h.

## istate

IStateType resMatrixBase::istate

protected

Definition at line 44 of file mpr_base.h.

## linPolyS

int resMatrixBase::linPolyS

protected

Definition at line 47 of file mpr_base.h.

## sourceRing

ring resMatrixBase::sourceRing

protected

Definition at line 48 of file mpr_base.h.

## totDeg

int resMatrixBase::totDeg

protected

Definition at line 50 of file mpr_base.h.

The documentation for this class was generated from the following file:

- kernel/numeric/mpr_base.h